/*
 *  LASTBORDER.C
 */

#include "newlook.h"

/****** newlook.lib/LastBorder ******************************************
*
*   NAME
*	LastBorder -- Return the last border in a list.
*
*   SYNOPSIS
*	last = LastBorder( border )
*
*	struct Border *LastBorder( struct Border * );
*
*   FUNCTION
*	Return the last border in a list.
*
*   INPUTS
*	border        - a pointer to a list of Border structures
*			or NULL.
*
*   RESULT
*	The last struct Border * or NULL.
*
*   EXAMPLE
*
*   NOTES
*
*   BUGS
*
*   SEE ALSO
*	CreateBorder()
*
******************************************************************************
*
*/

struct Border *LastBorder(struct Border *b)
{
  return (b && b->NextBorder) ? LastBorder(b->NextBorder) : b;
}
